Bug 2092362 (CVE-2022-31624) - CVE-2022-31624 mariadb: DoS due to improper locking due to unreleased lock in plugin/server_audit/server_audit.c
Summary: CVE-2022-31624 mariadb: DoS due to improper locking due to unreleased lock in...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-31624
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2052892 2052893 2052894 2052895 2055836 2055837 2081140 2081367
Blocks: 2092368
TreeView+ depends on / blocked
 
Reported: 2022-06-01 10:46 UTC by TEJ RATHI
Modified: 2022-08-01 15:02 UTC (History)
19 users (show)

Fixed In Version: mariadb 10.9.1, mariadb 10.8.1, mariadb 10.7.1, mariadb 10.6.5, mariadb 10.5.13, mariadb 10.4.22, mariadb 10.3.32, mariadb 10.2.41
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 12:32:17 UTC


Attachments (Terms of Use)

Description TEJ RATHI 2022-06-01 10:46:02 UTC
MariaDB Server before 10.7 is vulnerable to Denial of Service. While executing the plugin/server_audit/server_audit.c method log_statement_ex, the held lock lock_bigbuffer is not released correctly, which allows local users to trigger a denial of service due to the deadlock.

https://jira.mariadb.org/browse/MDEV-26556
https://github.com/MariaDB/server/commit/d627d00b13ab2f2c0954ea7b77202470cb102944

Comment 1 Product Security DevOps Team 2022-06-07 12:32:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-31624


Note You need to log in before you can comment on or make changes to this bug.